.object-background {
  position: relative;
  background-color: transparent;
  overflow: hidden;
  pointer-events: all;
}

@media (min-width: 1400px) {
  .object-background object {
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: all;
    height: auto !important;
  }
}

.object-background object {
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: all;
  height: 100%;
}

.intro-body {
  pointer-events: none;
}

.headerarea {
  pointer-events: all;
}

#st-2 {
  z-index: 1 !important;
}

.offcanvas {
  max-width: 100%;
  flex-direction: row;
}

.offcanvas80 {
  max-width: 80%;
}

.scroll-to-top {
  position: fixed;
  right: 1rem;
  bottom: 4rem;
  display: none;
  width: 2.75rem;
  height: 2.75rem;
  text-align: center;
  color: var(--bs-project);
  background: var(--bs-project-dark);
  line-height: 44px;
}

.btn-icon-split {
  padding: 0;
  overflow: hidden;
  display: inline-flex;
  align-items: stretch;
  justify-content: center;
}

.btn-icon-split .text {
  display: inline-block;
  padding: .375rem .75rem;
}

.btn-check:checked + .btn, :not(.btn-check) + .btn:active, .btn:first-child:active, .btn.active, .btn.show {
  color: var(--bs-btn-active-color);
  background-color: var(--bs-btn-active-bg);
  border-color: var(--bs-btn-active-border-color);
}

.btn-icon-split .icon {
  background: rgba(0,0,0,0.5);
  display: inline-block;
  padding: .375rem .75rem;
}

.form-control-cal {
  width: 100%;
  min-height: calc(1.5em + 1rem);
  padding: .2rem .5rem;
  font-size: 1rem;
  border-radius: .5rem;
}

.dropdown .dropdown-menu {
  width: 100%;
  /*right: .75rem;*/
}

.shadow2-none {
  box-shadow: none !important;
}

footer.sticky-footer .copyright {
  line-height: 1.5;
  font-size: .8rem;
}

.modal-backdrop.show {
  background-color: var(--bs-project-bg);
  opacity: 50%;
}

.modal-open .container-fluid, .modal-open .container, .modal-open .masthead {
  -webkit-filter: blur(3px);
}

.form-control:focus {
  box-shadow: none;
}

.dropdown-menu-dark {
  --bs-dropdown-link-active-bg: #30303080;
}

.shadowText {
  text-shadow: 0px 0px 8px var(--bs-gray);
}

.neonText {
  text-shadow: 0 0 7px #fff, 0 0 10px #fff, 0 0 21px #fff, 0 0 42px #0fa, 0 0 82px #0fa, 0 0 92px #0fa, 0 0 102px #0fa, 0 0 151px #0fa;
}

.tealBG {
  background-color: var(--bs-project);
}

.nav-link {
  display: block;
  padding: var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);
  font-size: var(--bs-nav-link-font-size);
  font-weight: var(--bs-nav-link-font-weight);
  color: var(--bs-project) !important;
  text-decoration: none;
  transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out;
  border-radius: 0.35rem;
}

#mainNav {
  font-family: "Cabin","Helvetica Neue",Helvetica,Arial,sans-serif;
  margin-bottom: 0;
  text-transform: uppercase;
  border-bottom: 1px solid rgba(0,0,0,0);
  background-color: var(--bs-project-bg);
}

@media (min-width: 992px) {
  #mainNav {
    padding-top: 20px;
    padding-bottom: 20px;
    transition: background .3s ease-in-out,padding-top .3s ease-in-out,padding-bottom .3s;
    letter-spacing: 1px;
    border-bottom: none;
    background: transparent;
  }
}

.scroll-to-top:hover {
  color: var(--bs-project);
  background: var(--bs-project-trans);
}

@media (min-width: 992px) {
  #mainNav.navbar-shrink {
    padding-top: 10px;
    padding-bottom: 10px;
    border-bottom: 1px solid rgba(255,255,255,0);
    background: var(--bs-project-bg);
  }
}

.shadow2-none {
  box-shadow: none !important;
}

footer.sticky-footer .copyright {
  line-height: 1.5;
  font-size: .8rem;
}

.modal-backdrop.show {
  background-color: var(--bs-black);
  opacity: 50%;
}

.modal-open .container-fluid, .modal-open .container {
  -webkit-filter: blur(3px);
}

.form-control:focus {
  box-shadow: none;
}

.dropdown-menu-dark {
  --bs-dropdown-link-active-bg: #30303080;
}

.shadowText {
  text-shadow: 0px 0px 8px var(--bs-gray);
}

.neonText {
  text-shadow: 0 0 7px #fff, 0 0 10px #fff, 0 0 21px #fff, 0 0 42px #0fa, 0 0 82px #0fa, 0 0 92px #0fa, 0 0 102px #0fa, 0 0 151px #0fa;
}

.tealBG {
  background-color: var(--bs-project);
}

.btn {
  font-family: "Cabin","Helvetica Neue",Helvetica,Arial,sans-serif;
  font-weight: 400;
  transition: all .3s ease-in-out;
  text-transform: uppercase;
  border-radius: 0.35rem;
  --bs-btn-disabled-opacity: 0.2;
}

#mainNav {
  padding-top: 15px;
  padding-bottom: 15px;
  font-family: "Cabin","Helvetica Neue",Helvetica,Arial,sans-serif;
  margin-bottom: 0;
  text-transform: uppercase;
  border-bottom: 1px solid rgba(0,0,0,0);
  background-color: rgba(0,0,0,0);
}

@media (min-width: 992px) {
  #mainNav {
    padding-top: 15px;
    padding-bottom: 15px;
    transition: background .3s ease-in-out,padding-top .3s ease-in-out,padding-bottom .3s;
    letter-spacing: 1px;
    border-bottom: none;
    background: transparent;
  }
}

@media (min-width: 300px) {
  #mainNav.navbar-shrink {
    background: var(--bs-project-bg);
    box-shadow: 0 0rem 1rem rgba(0,0,0,0.6);
  }
}

.form-control:focus {
  color: var(--bs-secondary);
  background-color: transparent;
  border-color: var(--bs-gray-500);
  outline: 0;
  box-shadow: none;
}

.form-control {
  display: block;
  width: 100%;
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--bs-secondary);
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: .375rem;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.input-group-text {
  display: flex;
  align-items: center;
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: var(--bs-secondary);
  text-align: center;
  white-space: nowrap;
  background-color: #e9ecef;
  border: 1px solid #ced4da;
  border-radius: .375rem;
}

::selection {
  background: var(--bs-project);
  text-shadow: none;
}

/* Scroll 5 */

.sc5::-webkit-scrollbar {
  width: 8px;
  height: 8px;
}

.sc5::-webkit-scrollbar-track {
  border-radius: 8px;
  background-color: rgba(255,255,255,0);
}

.sc5::-webkit-scrollbar-thumb {
  background-image: linear-gradient(0deg, rgba(9,23,28,0), var(--bs-project));
  border-radius: 8px;
  -webkit-box-shadow: rgba(0,0,0,.12) 0 3px 13px 1px;
}

.form-check-input {
  width: 1em;
  height: 1em;
  margin-top: .25em;
  vertical-align: top;
  background-color: var(--bs-project-light);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  border: 1px solid var(--bs-project-light);
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  print-color-adjust: exact;
}

.nav-link:hover, .nav-link:focus {
  color: var(--bs-project-light) !important;
}

@media (min-width: 992px) {
  #mainNav .nav-link.active {
    outline: none;
    background-color: initial;
    color: var(--bs-project-light);
  }
}

.navbar-nav .show > .nav-link, .navbar-nav .nav-link.active {
  color: var(--bs-project-light);
}

.navbar-toggler:focus {
  text-decoration: none;
  outline: 0;
  box-shadow: none;
}

.form-control-lg:focus {
  outline: none !important;
  border: 1px solid var(--bs-project);
  /*box-shadow: 0 0 10px var(--bs-project-light);*/
}

.form-control-lg-grey::-webkit-input-placeholder {
  color: var(--bs-secondary) !important;
}

.form-control-lg-dark::-webkit-input-placeholder {
  color: rgba(51,219,158,0.3) !important;
}

.modal-content {
  background-color: transparent;
  /*border: none;*/
}

/* Chrome, Safari, Edge, Opera */

input::-webkit-outer-spin-button, input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */

input[type=number] {
  -moz-appearance: textfield;
}

.area-disabled {
  pointer-events: none;
  opacity: 0.2;
}

a:focus, a:hover {
  text-decoration: none;
  color: var(--bs-project) !important;
}

.badge-counter {
  position: absolute;
  transform: scale(0.7);
  transform-origin: top right;
  /*right: .25rem;*/
  margin-top: -0.5rem;
}

@media (min-width: 576px) {
  .offcanvas-body.chatboxoutline {
    border-radius: 0.375rem 0rem 0rem 0.375rem !important;
    border-width: 1px 0px 1px 1px !important;
    /*width: 25% !important;*/
    align-self: center !important;
  }
}

@media (min-width: 300px) {
  .offcanvas-body.chatboxoutline {
    border-radius: 0.375rem;
    border-width: 1px 1px 1px 1px;
    /*max-height: 75%;*/
    align-self: end;
  }
}

.offcanvas.offcanvas-bottom {
  right: 0;
  left: 0;
  height: var(--bs-offcanvas-height);
  max-height: 100%;
  border-top: var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);
  transform: translateY(100%);
}

chatheader::first-line {
  font-weight: bold;
}

.outline-dark.chatheader::first-line {
  font-weight: bold;
}

